<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
  <head>
    <meta charset="utf-8" />
    <meta name="generator" content="pandoc" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=yes"
    />
    <title>node-abriged-readme</title>
    <style type="text/css">
      code {
        white-space: pre-wrap;
      }
      span.smallcaps {
        font-variant: small-caps;
      }
      span.underline {
        text-decoration: underline;
      }
      div.column {
        display: inline-block;
        vertical-align: top;
        width: 50%;
      }
    </style>
    <style type="text/css">
      a.sourceLine {
        display: inline-block;
        line-height: 1.25;
      }
      a.sourceLine {
        pointer-events: none;
        color: inherit;
        text-decoration: inherit;
      }
      a.sourceLine:empty {
        height: 1.2em;
      }
      .sourceCode {
        overflow: visible;
      }
      code.sourceCode {
        white-space: pre;
        position: relative;
      }
      div.sourceCode {
        margin: 1em 0;
      }
      pre.sourceCode {
        margin: 0;
      }
      @media screen {
        div.sourceCode {
          overflow: auto;
        }
      }
      @media print {
        code.sourceCode {
          white-space: pre-wrap;
        }
        a.sourceLine {
          text-indent: -1em;
          padding-left: 1em;
        }
      }
      pre.numberSource a.sourceLine {
        position: relative;
        left: -4em;
      }
      pre.numberSource a.sourceLine::before {
        content: attr(title);
        position: relative;
        left: -1em;
        text-align: right;
        vertical-align: baseline;
        border: none;
        pointer-events: all;
        display: inline-block;
        -webkit-touch-callout: none;
        -webkit-user-select: none;
        -khtml-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
        padding: 0 4px;
        width: 4em;
        color: #aaaaaa;
      }
      pre.numberSource {
        margin-left: 3em;
        border-left: 1px solid #aaaaaa;
        padding-left: 4px;
      }
      div.sourceCode {
      }
      @media screen {
        a.sourceLine::before {
          text-decoration: underline;
        }
      }
      code span.al {
        color: #ff0000;
        font-weight: bold;
      } /* Alert */
      code span.an {
        color: #60a0b0;
        font-weight: bold;
        font-style: italic;
      } /* Annotation */
      code span.at {
        color: #7d9029;
      } /* Attribute */
      code span.bn {
        color: #40a070;
      } /* BaseN */
      code span.bu {
      } /* BuiltIn */
      code span.cf {
        color: #007020;
        font-weight: bold;
      } /* ControlFlow */
      code span.ch {
        color: #4070a0;
      } /* Char */
      code span.cn {
        color: #880000;
      } /* Constant */
      code span.co {
        color: #60a0b0;
        font-style: italic;
      } /* Comment */
      code span.cv {
        color: #60a0b0;
        font-weight: bold;
        font-style: italic;
      } /* CommentVar */
      code span.do {
        color: #ba2121;
        font-style: italic;
      } /* Documentation */
      code span.dt {
        color: #902000;
      } /* DataType */
      code span.dv {
        color: #40a070;
      } /* DecVal */
      code span.er {
        color: #ff0000;
        font-weight: bold;
      } /* Error */
      code span.ex {
      } /* Extension */
      code span.fl {
        color: #40a070;
      } /* Float */
      code span.fu {
        color: #06287e;
      } /* Function */
      code span.im {
      } /* Import */
      code span.in {
        color: #60a0b0;
        font-weight: bold;
        font-style: italic;
      } /* Information */
      code span.kw {
        color: #007020;
        font-weight: bold;
      } /* Keyword */
      code span.op {
        color: #666666;
      } /* Operator */
      code span.ot {
        color: #007020;
      } /* Other */
      code span.pp {
        color: #bc7a00;
      } /* Preprocessor */
      code span.sc {
        color: #4070a0;
      } /* SpecialChar */
      code span.ss {
        color: #bb6688;
      } /* SpecialString */
      code span.st {
        color: #4070a0;
      } /* String */
      code span.va {
        color: #19177c;
      } /* Variable */
      code span.vs {
        color: #4070a0;
      } /* VerbatimString */
      code span.wa {
        color: #60a0b0;
        font-weight: bold;
        font-style: italic;
      } /* Warning */
    </style>
  </head>
  <body>
    <!--lint disable no-literal-urls-->
    <p align="center">
      <a href="https://nodejs.org/">
        <img
          alt="Node.js"
          src="https://nodejs.org/static/images/logo-light.svg"
          width="400"
        />
      </a>
    </p>
    <p>
      Node.js is an open-source, cross-platform, JavaScript runtime environment.
      It executes JavaScript code outside of a browser. For more information on
      using Node.js, see the <a href="https://nodejs.org/">Node.js Website</a>.
    </p>
    <p>
      The Node.js project uses an
      <a href="./GOVERNANCE.md">open governance model</a>. The
      <a href="https://openjsf.org/">OpenJS Foundation</a> provides support for
      the project.
    </p>
    <p>
      <strong
        >This project is bound by a
        <a href="https://github.com/nodejs/admin/blob/master/CODE_OF_CONDUCT.md"
          >Code of Conduct</a
        >.</strong
      >
    </p>
    <h1 id="table-of-contents">Table of contents</h1>
    <ul>
      <li>
        <a href="#table-of-contents">Table of contents</a>
        <ul>
          <li><a href="#support">Support</a></li>
          <li>
            <a href="#release-types">Release types</a>
            <ul>
              <li>
                <a href="#download">Download</a>
                <ul>
                  <li>
                    <a href="#current-and-lts-releases"
                      >Current and LTS releases</a
                    >
                  </li>
                  <li><a href="#nightly-releases">Nightly releases</a></li>
                  <li><a href="#api-documentation">API documentation</a></li>
                </ul>
              </li>
              <li><a href="#verifying-binaries">Verifying binaries</a></li>
            </ul>
          </li>
          <li><a href="#building-nodejs">Building Node.js</a></li>
          <li><a href="#security">Security</a></li>
          <li><a href="#contributing-to-nodejs">Contributing to Node.js</a></li>
          <li>
            <a href="#current-project-team-members"
              >Current project team members</a
            >
            <ul>
              <li>
                <a href="#tsc-technical-steering-committee"
                  >TSC (Technical Steering Committee)</a
                >
              </li>
              <li><a href="#tsc-emeriti">TSC emeriti</a></li>
              <li><a href="#collaborators">Collaborators</a></li>
              <li><a href="#collaborator-emeriti">Collaborator emeriti</a></li>
              <li><a href="#triagers">Triagers</a></li>
              <li><a href="#release-keys">Release keys</a></li>
            </ul>
          </li>
          <li><a href="#license">License</a></li>
        </ul>
      </li>
    </ul>
    <h2 id="support">Support</h2>
    <p>
      Looking for help? Check out the
      <a href=".github/SUPPORT.md">instructions for getting support</a>.
    </p>
    <h2 id="release-types">Release types</h2>
    <ul>
      <li>
        <strong>Current</strong>: Under active development. Code for the Current
        release is in the branch for its major version number (for example,
        <a href="https://github.com/nodejs/node/tree/v15.x">v15.x</a>). Node.js
        releases a new major version every 6 months, allowing for breaking
        changes. This happens in April and October every year. Releases
        appearing each October have a support life of 8 months. Releases
        appearing each April convert to LTS (see below) each October.
      </li>
      <li>
        <strong>LTS</strong>: Releases that receive Long-term Support, with a
        focus on stability and security. Every even-numbered major version will
        become an LTS release. LTS releases receive 12 months of
        <em>Active LTS</em> support and a further 18 months of
        <em>Maintenance</em>. LTS release lines have alphabetically-ordered code
        names, beginning with v4 Argon. There are no breaking changes or feature
        additions, except in some special circumstances.
      </li>
      <li>
        <strong>Nightly</strong>: Code from the Current branch built every
        24-hours when there are changes. Use with caution.
      </li>
    </ul>
    <p>
      Current and LTS releases follow
      <a href="https://semver.org">Semantic Versioning</a>. A member of the
      Release Team <a href="#release-keys">signs</a> each Current and LTS
      release. For more information, see the
      <a href="https://github.com/nodejs/Release#readme">Release README</a>.
    </p>
    <h3 id="download">Download</h3>
    <p>
      Binaries, installers, and source tarballs are available at
      <a href="https://nodejs.org/en/download/" class="uri"
        >https://nodejs.org/en/download/</a
      >.
    </p>
    <h4 id="current-and-lts-releases">Current and LTS releases</h4>
    <p>
      <a href="https://nodejs.org/download/release/" class="uri"
        >https://nodejs.org/download/release/</a
      >
    </p>
    <p>
      The
      <a href="https://nodejs.org/download/release/latest/">latest</a> directory
      is an alias for the latest Current release. The latest-<em>codename</em>
      directory is an alias for the latest release from an LTS line. For
      example, the
      <a href="https://nodejs.org/download/release/latest-fermium/"
        >latest-fermium</a
      >
      directory contains the latest Fermium (Node.js 14) release.
    </p>
    <h4 id="nightly-releases">Nightly releases</h4>
    <p>
      <a href="https://nodejs.org/download/nightly/" class="uri"
        >https://nodejs.org/download/nightly/</a
      >
    </p>
    <p>
      Each directory name and filename contains a date (in UTC) and the commit
      SHA at the HEAD of the release.
    </p>
    <h4 id="api-documentation">API documentation</h4>
    <p>
      Documentation for the latest Current release is at
      <a href="https://nodejs.org/api/" class="uri">https://nodejs.org/api/</a>.
      Version-specific documentation is available in each release directory in
      the <em>docs</em> subdirectory. Version-specific documentation is also at
      <a href="https://nodejs.org/download/docs/" class="uri"
        >https://nodejs.org/download/docs/</a
      >.
    </p>
    <h3 id="verifying-binaries">Verifying binaries</h3>
    <p>
      Download directories contain a <code>SHASUMS256.txt</code> file with SHA
      checksums for the files.
    </p>
    <p>To download <code>SHASUMS256.txt</code> using <code>curl</code>:</p>
    <pre
      class="console"
    ><code>$ curl -O https://nodejs.org/dist/vx.y.z/SHASUMS256.txt</code></pre>
    <p>
      To check that a downloaded file matches the checksum, run it through
      <code>sha256sum</code> with a command such as:
    </p>
    <pre
      class="console"
    ><code>$ grep node-vx.y.z.tar.gz SHASUMS256.txt | sha256sum -c -</code></pre>
    <p>
      For Current and LTS, the GPG detached signature of
      <code>SHASUMS256.txt</code> is in <code>SHASUMS256.txt.sig</code>. You can
      use it with <code>gpg</code> to verify the integrity of
      <code>SHASUMS256.txt</code>. You will first need to import import the
      keys:
    </p>
    <pre
      class="console"
    ><code>$ gpg --keyserver pool.sks-keyservers.net --recv-keys DD8F2338BAE7501E3DD5AC78C273792F7D83545D</code></pre>
    <p>
      See the bottom of this README for a full script to import active release
      keys.
    </p>
    <p>Next, download the <code>SHASUMS256.txt.sig</code> for the release:</p>
    <pre
      class="console"
    ><code>$ curl -O https://nodejs.org/dist/vx.y.z/SHASUMS256.txt.sig</code></pre>
    <p>
      Then use <code>gpg --verify SHASUMS256.txt.sig SHASUMS256.txt</code> to
      verify the file’s signature.
    </p>
    <h2 id="building-node.js">Building Node.js</h2>
    <p>
      See <a href="BUILDING.md">BUILDING.md</a> for instructions on how to build
      Node.js from source and a list of supported platforms.
    </p>
    <h2 id="security">Security</h2>
    <p>
      For information on reporting security vulnerabilities in Node.js, see
      <a href="./SECURITY.md">SECURITY.md</a>.
    </p>
    <h2 id="contributing-to-node.js">Contributing to Node.js</h2>
    <ul>
      <li><a href="CONTRIBUTING.md">Contributing to the project</a></li>
      <li>
        <a href="https://github.com/nodejs/TSC/blob/master/WORKING_GROUPS.md"
          >Working Groups</a
        >
      </li>
      <li>
        <a
          href="https://github.com/nodejs/TSC/blob/master/Strategic-Initiatives.md"
          >Strategic Initiatives</a
        >
      </li>
      <li>
        <a href="doc/guides/technical-values.md"
          >Technical values and prioritization</a
        >
      </li>
    </ul>
    <h2 id="current-project-team-members">Current project team members</h2>
    <p>
      For information about the governance of the Node.js project, see
      <a href="./GOVERNANCE.md">GOVERNANCE.md</a>.
    </p>
    <h3 id="tsc-technical-steering-committee">
      TSC (Technical Steering Committee)
    </h3>
    <p>
      <strong>Mary Marchini</strong> &lt;oss@mmarchini.me&gt; (she/her) *
      <a href="https://github.com/MylesBorins">MylesBorins</a> -
      <strong>Myles Borins</strong> &lt;myles.borins@gmail.com&gt; (he/him) *
      <a href="https://github.com/targos">targos</a> -
      <strong>Michaël Zasso</strong> &lt;targos@protonmail.com&gt; (he/him) *
      <a href="https://github.com/tniessen">tniessen</a> -
      <strong>Tobias Nießen</strong> &lt;tniessen@tnie.de&gt; *
      <a href="https://github.com/Trott">Trott</a> -
      <strong>Rich Trott</strong> &lt;rtrott@gmail.com&gt; (he/him)
    </p>
    <h3 id="tsc-emeriti">TSC emeriti</h3>
    <p>
      <strong>Shigeki Ohtsu</strong> &lt;ohtsu@ohtsu.org&gt; (he/him) *
      <a href="https://github.com/thefourtheye">thefourtheye</a> -
      <strong>Sakthipriyan Vairamani</strong>
      &lt;thechargingvolcano@gmail.com&gt; (he/him) *
      <a href="https://github.com/TimothyGu">TimothyGu</a> -
      <strong>Tiancheng “Timothy” Gu</strong> &lt;timothygu99@gmail.com&gt;
      (he/him) * <a href="https://github.com/trevnorris">trevnorris</a> -
      <strong>Trevor Norris</strong> &lt;trev.norris@gmail.com&gt;
    </p>
    <h3 id="collaborators">Collaborators</h3>
    <ul>
      <li>
        <a href="https://github.com/yhwang">yhwang</a> -
        <strong>Yihong Wang</strong> &lt;yh.wang@ibm.com&gt;
      </li>
      <li>
        <a href="https://github.com/yorkie">yorkie</a> -
        <strong>Yorkie Liu</strong> &lt;yorkiefixer@gmail.com&gt;
      </li>
      <li>
        <a href="https://github.com/yosuke-furukawa">yosuke-furukawa</a> -
        <strong>Yosuke Furukawa</strong> &lt;yosuke.furukawa@gmail.com&gt;
      </li>
      <li>
        <a href="https://github.com/ZYSzys">ZYSzys</a> -
        <strong>Yongsheng Zhang</strong> &lt;zyszys98@gmail.com&gt; (he/him)
      </li>
    </ul>
    <h3 id="collaborator-emeriti">Collaborator emeriti</h3>
    <p>
      <strong>Thorsten Lorenz</strong> &lt;thlorenz@gmx.de&gt; *
      <a href="https://github.com/trevnorris">trevnorris</a> -
      <strong>Trevor Norris</strong> &lt;trev.norris@gmail.com&gt; *
      <a href="https://github.com/tunniclm">tunniclm</a> -
      <strong>Mike Tunnicliffe</strong> &lt;m.j.tunnicliffe@gmail.com&gt; *
      <a href="https://github.com/vkurchatkin">vkurchatkin</a> -
      <strong>Vladimir Kurchatkin</strong> &lt;vladimir.kurchatkin@gmail.com&gt;
      * <a href="https://github.com/vsemozhetbyt">vsemozhetbyt</a> -
      <strong>Vse Mozhet Byt</strong> &lt;vsemozhetbyt@gmail.com&gt; (he/him) *
      <a href="https://github.com/whitlockjc">whitlockjc</a> -
      <strong>Jeremy Whitlock</strong> &lt;jwhitlock@apache.org&gt;
      <!--lint enable prohibited-strings-->
    </p>
    <p>
      Collaborators follow the
      <a href="./doc/guides/collaborator-guide.md">Collaborator Guide</a> in
      maintaining the Node.js project.
    </p>
    <h3 id="triagers">Triagers</h3>
    <ul>
      <li>
        <a href="https://github.com/PoojaDurgad">PoojaDurgad</a> -
        <strong>Pooja Durgad</strong> &lt;Pooja.D.P@ibm.com&gt;
      </li>
      <li>
        <a href="https://github.com/RaisinTen">RaisinTen</a> -
        <strong>Darshan Sen</strong> &lt;raisinten@gmail.com&gt;
      </li>
    </ul>
    <h3 id="release-keys">Release keys</h3>
    <p>
      Primary GPG keys for Node.js Releasers (some Releasers sign with subkeys):
    </p>
    <ul>
      <li>
        <strong>Beth Griggs</strong> &lt;bgriggs@redhat.com&gt;
        <code>4ED778F539E3634C779C87C6D7062848A1AB005C</code>
      </li>
      <li>
        <strong>Colin Ihrig</strong> &lt;cjihrig@gmail.com&gt;
        <code>94AE36675C464D64BAFA68DD7434390BDBE9B9C5</code>
      </li>
      <li>
        <strong>Danielle Adams</strong> &lt;adamzdanielle@gmail.com&gt;
        <code>74F12602B6F1C4E913FAA37AD3A89613643B6201</code>
      </li>
      <li>
        <strong>James M Snell</strong> &lt;jasnell@keybase.io&gt;
        <code>71DCFD284A79C3B38668286BC97EC7A07EDE3FC1</code>
      </li>
      <li>
        <strong>Michaël Zasso</strong> &lt;targos@protonmail.com&gt;
        <code>8FCCA13FEF1D0C2E91008E09770F7A9A5AE15600</code>
      </li>
      <li>
        <strong>Myles Borins</strong> &lt;myles.borins@gmail.com&gt;
        <code>C4F0DFFF4E8C1A8236409D08E73BC641CC11F4C8</code>
      </li>
      <li>
        <strong>Richard Lau</strong> &lt;rlau@redhat.com&gt;
        <code>C82FA3AE1CBEDC6BE46B9360C43CEC45C17AB93C</code>
      </li>
      <li>
        <strong>Rod Vagg</strong> &lt;rod@vagg.org&gt;
        <code>DD8F2338BAE7501E3DD5AC78C273792F7D83545D</code>
      </li>
      <li>
        <strong>Ruben Bridgewater</strong> &lt;ruben@bridgewater.de&gt;
        <code>A48C2BEE680E841632CD4E44F07496B3EB3C1762</code>
      </li>
      <li>
        <strong>Ruy Adorno</strong> &lt;ruyadorno@hotmail.com&gt;
        <code>108F52B48DB57BB0CC439B2997B01419BD92F80A</code>
      </li>
      <li>
        <strong>Shelley Vohr</strong> &lt;shelley.vohr@gmail.com&gt;
        <code>B9E2F5981AA6E0CD28160D9FF13993A75599653C</code>
      </li>
    </ul>
    <p>
      To import the full set of trusted release keys (including subkeys possibly
      used to sign releases):
    </p>
    <div class="sourceCode" id="cb5">
      <pre
        class="sourceCode bash"
      ><code class="sourceCode bash"><a class="sourceLine" id="cb5-1" title="1"><span class="ex">gpg</span> --keyserver pool.sks-keyservers.net --recv-keys 4ED778F539E3634C779C87C6D7062848A1AB005C</a>
<a class="sourceLine" id="cb5-2" title="2"><span class="ex">gpg</span> --keyserver pool.sks-keyservers.net --recv-keys 94AE36675C464D64BAFA68DD7434390BDBE9B9C5</a>
<a class="sourceLine" id="cb5-3" title="3"><span class="ex">gpg</span> --keyserver pool.sks-keyservers.net --recv-keys 74F12602B6F1C4E913FAA37AD3A89613643B6201</a>
<a class="sourceLine" id="cb5-4" title="4"><span class="ex">gpg</span> --keyserver pool.sks-keyservers.net --recv-keys 71DCFD284A79C3B38668286BC97EC7A07EDE3FC1</a>
<a class="sourceLine" id="cb5-5" title="5"><span class="ex">gpg</span> --keyserver pool.sks-keyservers.net --recv-keys 8FCCA13FEF1D0C2E91008E09770F7A9A5AE15600</a>
<a class="sourceLine" id="cb5-6" title="6"><span class="ex">gpg</span> --keyserver pool.sks-keyservers.net --recv-keys C4F0DFFF4E8C1A8236409D08E73BC641CC11F4C8</a>
<a class="sourceLine" id="cb5-7" title="7"><span class="ex">gpg</span> --keyserver pool.sks-keyservers.net --recv-keys C82FA3AE1CBEDC6BE46B9360C43CEC45C17AB93C</a>
<a class="sourceLine" id="cb5-8" title="8"><span class="ex">gpg</span> --keyserver pool.sks-keyservers.net --recv-keys DD8F2338BAE7501E3DD5AC78C273792F7D83545D</a>
<a class="sourceLine" id="cb5-9" title="9"><span class="ex">gpg</span> --keyserver pool.sks-keyservers.net --recv-keys A48C2BEE680E841632CD4E44F07496B3EB3C1762</a>
<a class="sourceLine" id="cb5-10" title="10"><span class="ex">gpg</span> --keyserver pool.sks-keyservers.net --recv-keys 108F52B48DB57BB0CC439B2997B01419BD92F80A</a>
<a class="sourceLine" id="cb5-11" title="11"><span class="ex">gpg</span> --keyserver pool.sks-keyservers.net --recv-keys B9E2F5981AA6E0CD28160D9FF13993A75599653C</a></code></pre>
    </div>
    <p>
      See the section above on
      <a href="#verifying-binaries">Verifying Binaries</a> for how to use these
      keys to verify a downloaded file.
    </p>
    <p>Other keys used to sign some previous releases:</p>
    <ul>
      <li>
        <strong>Chris Dickinson</strong>
        &lt;christopher.s.dickinson@gmail.com&gt;
        <code>9554F04D7259F04124DE6B476D5A82AC7E37093B</code>
      </li>
      <li>
        <strong>Danielle Adams</strong> &lt;adamzdanielle@gmail.com&gt;
        <code>1C050899334244A8AF75E53792EF661D867B9DFA</code>
      </li>
      <li>
        <strong>Evan Lucas</strong> &lt;evanlucas@me.com&gt;
        <code>B9AE9905FFD7803F25714661B63B535A4C206CA9</code>
      </li>
      <li>
        <strong>Gibson Fahnestock</strong> &lt;gibfahn@gmail.com&gt;
        <code>77984A986EBC2AA786BC0F66B01FBB92821C587A</code>
      </li>
      <li>
        <strong>Isaac Z. Schlueter</strong> &lt;i@izs.me&gt;
        <code>93C7E9E91B49E432C2F75674B0A78B0A6C481CF6</code>
      </li>
      <li>
        <strong>Italo A. Casas</strong> &lt;me@italoacasas.com&gt;
        <code>56730D5401028683275BD23C23EFEFE93C4CFFFE</code>
      </li>
      <li>
        <strong>Jeremiah Senkpiel</strong> &lt;fishrock@keybase.io&gt;
        <code>FD3A5288F042B6850C66B31F09FE44734EB7990E</code>
      </li>
      <li>
        <strong>Julien Gilli</strong> &lt;jgilli@fastmail.fm&gt;
        <code>114F43EE0176B71C7BC219DD50A3051F888C628D</code>
      </li>
      <li>
        <strong>Timothy J Fontaine</strong> &lt;tjfontaine@gmail.com&gt;
        <code>7937DFD2AB06298B2293C3187D33FF9D0246406D</code>
      </li>
    </ul>
    <h2 id="license">License</h2>
    <p>
      Node.js is available under the
      <a href="https://opensource.org/licenses/MIT">MIT license</a>. Node.js
      also includes external libraries that are available under a variety of
      licenses. See
      <a href="https://github.com/nodejs/node/blob/master/LICENSE">LICENSE</a>
      for the full license text.
    </p>
  </body>
</html>
